Partial update of multiple rows
curl --request PATCH \
--url https://api.databar.ai/v1/table/{table_uuid}/rows \
--header 'Content-Type: application/json' \
--header 'x-apikey: <x-apikey>' \
--data '
{
"overwrite": true,
"return_rows": false,
"rows": [
{
"fields": {
"first_name": "Ivan",
"title": "CTO"
},
"id": "91f0e833-5dfc-4f63-be96-e3a28925190f"
}
]
}
'import requests
url = "https://api.databar.ai/v1/table/{table_uuid}/rows"
payload = {
"overwrite": True,
"return_rows": False,
"rows": [
{
"fields": {
"first_name": "Ivan",
"title": "CTO"
},
"id": "91f0e833-5dfc-4f63-be96-e3a28925190f"
}
]
}
headers = {
"x-apikey": "<x-apikey>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-apikey': '<x-apikey>', 'Content-Type': 'application/json'},
body: JSON.stringify({
overwrite: true,
return_rows: false,
rows: [
{
fields: {first_name: 'Ivan', title: 'CTO'},
id: '91f0e833-5dfc-4f63-be96-e3a28925190f'
}
]
})
};
fetch('https://api.databar.ai/v1/table/{table_uuid}/rows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "91f0e833-5dfc-4f63-be96-e3a28925190f",
"ok": true
},
{
"error": {
"code": "ROW_NOT_FOUND"
},
"id": "00000000-0000-0000-0000-000000000000",
"ok": false
}
]
}{
"error": "<string>",
"max_size": 123,
"columns": [
"<string>"
],
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Rows
Update rows in table by ID
Update specific fields in multiple rows at once. Uses human-readable column names.
overwrite controls whether existing non-empty values are replaced:
true(default) — always set the new value.false— only fill in fields that are currently empty.
If a row UUID is not found the result entry will contain "ok": false with an error object {"code": "ROW_NOT_FOUND"}.
PATCH
/
v1
/
table
/
{table_uuid}
/
rows
Partial update of multiple rows
Headers
API Key for authentication
Path Parameters
The UUID of the table
Body
application/json
List of rows to update (max 50).
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
If false, only empty fields are updated; existing values are kept.
If true, each result includes full row_data after the update.
Response
Successful Response
Show child attributes
Show child attributes
⌘I